from random import random
import numpy as np
import time


def sum2(n, X):
    s = 0.0
    for i in range(n):
        s += 2 * X[i]

    return s

def test_sum():
    
    n = 10000000  # 10 million
    X = np.random.rand(n)

    t0 = time.clock()
    result = sum2(n, X) / n
    t1 = time.clock()

    diff = (t1 - t0) * 1000

    print("Result: %f | time : %f miliseconds" % (result, diff))


if __name__ == '__main__':
    test_sum()
   